Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Installer Class Reference

List of all members.

## Public Member Functions
def | __init__
def | __del__
def | build
def | buildAll
def | buildAPP
def | buildArch
def | buildDEB
def | buildNSIS
def | buildPKG
def | installPackagesInto
def | os_walk
## Public Attributes
| authoremail
| authorid
| authorname
| fullname
| hostUrl
| icon
| includeRequires
| licensefile
| licensename
| requires
| shortname
| standalone
| tempDir
| version
## Static Public Attributes
tuple | notify = directNotify.newCategory("Installer")

## Detailed Description

    This class creates a (graphical) installer from a given .p3d file.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | p3dfile,
|  |  | shortname,
|  |  | fullname,
|  |  | version,
|  |  | tokens = `{}`
| ) |  |

def __del__ | ( |  | self | ) |

## Member Function Documentation

def build | ( |  | self,
|  |  | output,
|  |  | platform = `None`
| ) |  |

    Builds (graphical) installers and stores it into the path
    indicated by the 'output' argument. You can specify to build for
    a different platform by altering the 'platform' argument.
    If 'output' is a directory, the installer will be stored in it.

def buildAll | ( |  | self,
|  |  | outputDir = `"."`
| ) |  |

    Creates a (graphical) installer for every known platform.
    Call this after you have set the desired parameters.

def buildAPP | ( |  | self,
|  |  | output,
|  |  | platform
| ) |  |

def buildArch | ( |  | self,
|  |  | output,
|  |  | platform
| ) |  |

    Builds an ArchLinux package and stores it in the path
    indicated by the 'output' argument. It will be built for the
    architecture specified by the 'arch' argument.
    If 'output' is a directory, the deb file will be stored in it.

def buildDEB | ( |  | self,
|  |  | output,
|  |  | platform
| ) |  |

    Builds a .deb archive and stores it in the path indicated
    by the 'output' argument. It will be built for the architecture
    specified by the 'arch' argument.
    If 'output' is a directory, the deb file will be stored in it.

def buildNSIS | ( |  | self,
|  |  | output,
|  |  | platform
| ) |  |

def buildPKG | ( |  | self,
|  |  | output,
|  |  | platform
| ) |  |

def installPackagesInto | ( |  | self,
|  |  | hostDir,
|  |  | platform
| ) |  |

    Installs the packages required by the .p3d file into
    the specified directory, for the given platform.

def os_walk | ( |  | self,
|  |  | top
| ) |  |

    Re-implements os.walk().  For some reason the built-in
    definition is failing on Windows when this is run within a p3d
    environment!?

## Member Data Documentation

authoremail

authorid

authorname

fullname

hostUrl

icon

includeRequires

licensefile

licensename

tuple notify = directNotify.newCategory("Installer")`[static]`

requires

shortname

standalone

tempDir

version

All Classes Namespaces Functions Variables Enumerations Enumerator Properties